Jump to content
  • 0
Timo Menz

what is this??? can't open any worlds...

Question

MCEdit version: 2.0.0-beta14

Python version: 2.7.12 (default, Jun 29 2016, 14:05:02)

[GCC 4.2.1 Compatible Apple LLVM 7.3.0 (clang-703.0.31)]

Platform: darwin

System version: Darwin-18.5.0-x86_64-i386-64bit

Processor: i386

 

Obtained a GL context with this format:

Valid: True

Version: 1.0

Hardware Accelerated: True

Depth buffer: True, 24

Double buffer: True

Rendering profile: PySide.QtOpenGL.QGLFormat.OpenGLContextProfile.NoProfile

 

Driver info:

GL_VERSION: 2.1 INTEL-12.8.38 (2, 1)

GL_VENDOR: 'Intel Inc.'

GL_RENDERER: 'Intel Iris OpenGL Engine'

 

------

 

Unhandled Exception

 

Traceback (most recent call last):

File "mcedit2/worldview/worldview.py", line 480, in mouseMoveEvent (self is a CameraWorldView)

File "mcedit2/worldview/worldview.py", line 527, in augmentMouseEvent (self is a CameraWorldView)

File "mcedit2/worldview/camera.py", line 330, in augmentEvent (self is a CameraWorldView)

File "mcedit2/util/profiler.py", line 73, in _wrapper (self is a Profiler)

File "mcedit2/worldview/worldview.py", line 548, in augmentEvent (self is a CameraWorldView)

File "mcedit2/worldview/worldview.py", line 615, in rayCastInView (self is a CameraWorldView)

File "mcedit2/util/raycast.py", line 30, in rayCastInBounds

File "mcedit2/util/profiler.py", line 73, in _wrapper (self is a Profiler)

File "mcedit2/util/raycast.py", line 77, in rayCast

File "mcedit2/util/raycast.py", line 215, in advanceToChunk

File "mceditlib/worldeditor.py", line 831, in getChunk (self is a WorldEditorDimension)

File "mceditlib/worldeditor.py", line 499, in getChunk (self is a WorldEditor)

File "mceditlib/cachefunc.py", line 77, in __call__

File "mceditlib/worldeditor.py", line 477, in _getChunkDataRaw (self is a WorldEditor)

File "mceditlib/anvil/adapter.py", line 922, in readChunk (self is a AnvilWorldAdapter)

AnvilChunkFormatError: [Errno Error loading chunk: KeyError('Key Blocks not found.',)] None: <traceback object at 0x11f536248>

Share this post


Link to post
Share on other sites

1 answer to this question

Recommended Posts

  • 0

MC Edit does not Support newer Map-Versions. This error occurs with Maps higher than 1.12

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...